com.buschmais.jqassistant.plugin.m2repo.api.model

## Interface RepositoryArtifactDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, com.buschmais.jqassistant.plugin.maven3.api.model.MavenDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      @Label(value="RepositoryArtifact")
      public interface RepositoryArtifactDescriptor
      extends com.buschmais.jqassistant.plugin.maven3.api.model.MavenDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor

  Represents an artifact in a maven repository.
  Author:
    pherklotz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MavenRepositoryDescriptor` | `getContainingRepository()` The containing repository.
    `long` | `getLastModified()` The last modified date as String.
    `String` | `getMavenCoordinates()` The maven coordinates :::(:).
    `RepositoryArtifactDescriptor` | `getPredecessorArtifact()` The last version of that SNAPSHOT artifact, if existing.
    `void` | `setContainingRepository(MavenRepositoryDescriptor containsArtifactDescriptor)`
    `void` | `setLastModified(long lastModified)`
    `void` | `setMavenCoordinates(String mavenCoordinates)`
    `void` | `setPredecessorArtifact(RepositoryArtifactDescriptor predecessorArtifact)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor

      `getClassifier, getDependencies, getDependents, getGroup, getName, getType, getVersion, setClassifier, setGroup, setName, setType, setVersion`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

- - ### Method Detail

    - #### getContainingRepository

          MavenRepositoryDescriptor getContainingRepository()

      The containing repository.
      Returns:
        the containing repository.

    - #### setContainingRepository

          void setContainingRepository(MavenRepositoryDescriptor containsArtifactDescriptor)

    - #### getLastModified

          @Property(value="lastModified")
          long getLastModified()

      The last modified date as String.
      Returns:
        the last modified date as String.

    - #### setLastModified

          void setLastModified(long lastModified)

    - #### getMavenCoordinates

          @Property(value="mavenCoordinates")
          String getMavenCoordinates()

      The maven coordinates :::(:).
      Returns:
        the maven coordinates.

    - #### setMavenCoordinates

          void setMavenCoordinates(String mavenCoordinates)

    - #### getPredecessorArtifact

          @Relation(value="HAS_PREDECESSOR")
          RepositoryArtifactDescriptor getPredecessorArtifact()

      The last version of that SNAPSHOT artifact, if existing.
      Returns:
        The last version of that SNAPSHOT artifact, if existing.

    - #### setPredecessorArtifact

          void setPredecessorArtifact(RepositoryArtifactDescriptor predecessorArtifact)

Copyright © 2015 buschmais GbR. All rights reserved.